import React from 'react';
export declare type CustomProductProviderProps<T> = {
    children: React.ReactNode | React.ReactNode[];
    initialValue: T;
};
export declare function CustomProductProvider<T>({ children, initialValue, }: CustomProductProviderProps<T>): JSX.Element;
export declare function useCustomProductState<T>(): T;
export declare function useUpdateCustomProductState<T>(): (state: T) => void;
